Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Attributes
tlp::AdditionalGlSceneAnimation Class Reference

A class which encapsulate a Tulip OpenGL scene animation This class aims to encapsulate a Tulip OpenGL scene animation. Derive it if you want to add extra animations to the Tulip OpenGL scene while a Zoom and Pan is performed. More...

`#include <GlSceneZoomAndPan.h>`

List of all members.

## Public Member Functions

- virtual ~AdditionalGlSceneAnimation ()
- void setNbAnimationSteps (int nbAnimationSteps)
- virtual void animationStep (int animationStep)=0

## Protected Attributes

- int nbAnimationSteps

## Detailed Description

A class which encapsulate a Tulip OpenGL scene animation This class aims to encapsulate a Tulip OpenGL scene animation. Derive it if you want to add extra animations to the Tulip OpenGL scene while a Zoom and Pan is performed.

## Constructor & Destructor Documentation

virtual tlp::AdditionalGlSceneAnimation::~AdditionalGlSceneAnimation | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::AdditionalGlSceneAnimation::animationStep | ( | int | animationStep | ) | `[pure virtual]`

Pure virtual method called at each step of the Zoom and Pan animation.

Implement it in your derived class to perform any extra animation you want on the Tulip OpenGL scene.

void tlp::AdditionalGlSceneAnimation::setNbAnimationSteps | ( | int | nbAnimationSteps | ) | `[inline]`

Method to set the total number of animation steps. No need to call it because the GlSceneZoomAndPan class do that task.

## Member Data Documentation

int tlp::AdditionalGlSceneAnimation::nbAnimationSteps`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012